ghc-7.0.3: The GHC API

Vectorise.Builtins.Modules

Description

Modules that contain builtin functions used by the vectoriser.

Synopsis

- data Modules = Modules {
  - dph_PArray :: Module
  - dph_Repr :: Module
  - dph_Closure :: Module
  - dph_Unboxed :: Module
  - dph_Instances :: Module
  - dph_Combinators :: Module
  - dph_Scalar :: Module
  - dph_Prelude_PArr :: Module
  - dph_Prelude_Int :: Module
  - dph_Prelude_Word8 :: Module
  - dph_Prelude_Double :: Module
  - dph_Prelude_Bool :: Module
  - dph_Prelude_Tuple :: Module
  }
- dph_Modules :: PackageId -> Modules
- dph_Orphans :: [Modules -> Module]

# Documentation

data Modules Source

Ids of the modules that contain our DPH builtins.

Constructors

Modules |

Fields

dph_PArray :: Module
dph_Repr :: Module
dph_Closure :: Module
dph_Unboxed :: Module
dph_Instances :: Module
dph_Combinators :: Module
dph_Scalar :: Module
dph_Prelude_PArr :: Module
dph_Prelude_Int :: Module
dph_Prelude_Word8 :: Module
dph_Prelude_Double :: Module
dph_Prelude_Bool :: Module
dph_Prelude_Tuple :: Module

dph_Modules :: PackageId -> Modules Source

The locations of builtins in the current DPH library.

dph_Orphans :: [Modules -> Module]Source

Project out ids of modules that contain orphan instances that we need to load.